# Payment

`POST https://api.paybeta.ng/v2/data-bundle/purchase`

Authentication: `P-API-KEY` header.

## Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `service` | string | yes |  |
| `amount` | integer | yes |  |
| `phoneNumber` | string | yes |  |
| `code` | string | yes |  |
| `reference` | string | yes |  |

## Request: Request body

```json
{
    "service": "mtn_data",
    "amount": 100,
    "phoneNumber": "08138539550",
    "code": "MT1",
    "reference": "{{$timestamp}}"
}
```

## Response 200: Success

```json
{
    "status": "successful",
    "message": "Transaction successful",
    "data": {
        "reference": "1715553597",
        "amount": 100,
        "chargedAmount": 97.5,
        "commission": 2.5,
        "biller": "MTN 100MB 1 Day",
        "customerId": "08060000000",
        "token": null,
        "unit": null,
        "bonusToken": null,
        "transactionDate": "2024-05-12 23:39:58",
        "transactionId": "17155535989070949852"
    }
}
```
